### Method

# Gtk TreePath get_indices_with_depth

deprecated: 4.10

#### Declaration [src]

    int*
    gtk_tree_path_get_indices_with_depth (
      GtkTreePath* path,
      int* depth
    )

#### Description [src]

Returns the current indices of `path`.

This is an array of integers, each representing a node in a tree. It also returns the number of elements in the array. The array should not be freed.

Deprecated since: 4.10

Please do not use it in newly written code.

This method is renamed to `gtk_tree_path_get_indices()` in language bindings

#### Parameters

`depth`

  Type: `int*`

  Return location for number of elements returned in the integer array.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `int`

The current indices.

The length of the array is in the `depth` argument.
The data is owned by the instance.
The return value can be `NULL`.